package projectzombie.tiles;

import projectzombie.init.Items;
import projectzombie.init.Models;
import projectzombie.items.ItemTool;
import projectzombie.model.Model;
import projectzombie.util.ItemStack;
import projectzombie.util.TileState;

public class TileTallGrass extends Tile
{
	public TileTallGrass() {
		this.hardness = 200;
	}

	@Override
	public Model getModel(byte meta) {
		return Models.TILE_TALL_GRASS;
	}
	
	@Override
	public boolean canTileBreak(TileState state, ItemStack stack, ItemTool tool) {
		return true;
	}
	
	@Override
	public ItemStack[] getTileDrops(TileState state) {
		return new ItemStack[] {
				new ItemStack(Items.PLANT_FIBRE, Math.random() > 0.6 ? 1 : 0),
		};
	}
	
}
